Subject: bug#13369: 24.1; compile message parsing slow because of omake hack

From: Glenn Morris <[email-masked]>
Date: Sun, 06 Jan 2013 20:24:36 -0500

Mattias Engdegård wrote:

> Parsing compilation messages in compilation-mode can be very slow for
> large buffers (thousands of error lines); it can take many
> seconds. Experiments show that it is the presence of omake in
> compilation-error-regexp-alist that causes most of the trouble; removing
> it mostly cures the problem.
[...]
> one doesn't make sense - shouldn't the ^ (following the \|) be escaped?

Yes, I think so.

Does making that change remove the slowdown that you see?